<?php
/*
 * Display search results
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
#include file header with a form
require('_header.php');
$case=JRequest::getVar('case');
$string=JRequest::getVar('string');
foreach($this->items as $item){
  //build a DOM tree
  $doc = new DomDocument();
  $doc->formatOutput = true;
  @$doc->loadHTML($item->introtext);
  try{
    $xp = new DomXpath($doc);
  }
  catch (Exception $e) {
    JError::raiseError( 500, JText::sprintf('CAUGHT_EXCEPTION', $e->getMessage()));
  }
  if(!strcmp($case,'sensitive')){
    //if 'case sensitive' was chosen
    $res = $xp->query("//li[contains(.,'$string')]");
  }
  else {
    //if 'case insensitive' was chosen
    $string=strtoupper($string);
    $res = $xp->query("//li[contains(translate(.,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ'),'$string')]");
  }
  //was the searched word found
  if($res->length > 0){
    print "<h2>$item->title</h2>\n";
    print "<ol>\n";
    foreach($res as $li){
	$str=html_entity_decode($doc->saveXML($li));
        $str = preg_replace('~&#x([0-9a-f]+);~ei', 'chr(hexdec("\\1"))', $str);
        $str = preg_replace('~&#([0-9]+);~e', 'chr("\\1")', $str);
        echo "$str\n";
}
    print "</ol>\n";
  }
}
?>
<?php
#include a file with an author's name
require('_footer.php'); 
?>
</td></tr>
</table>

